diff --git a/configure.ac b/configure.ac
index 01b3bbc1be8..32fae8081ef 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2036,74 +2036,83 @@ PGAC_HAVE_GCC__ATOMIC_INT64_CAS
 # Check for __get_cpuid() and __cpuid()
 AC_CACHE_CHECK([for __get_cpuid], [pgac_cv__get_cpuid],
 [AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <cpuid.h>],
-  [[unsigned int exx[4] = {0, 0, 0, 0};
-  __get_cpuid(1, &exx[0], &exx[1], &exx[2], &exx[3]);
-  ]])],
-  [pgac_cv__get_cpuid="yes"],
-  [pgac_cv__get_cpuid="no"])])
+	[[unsigned int exx[4] = {0, 0, 0, 0};
+	__get_cpuid(1, &exx[0], &exx[1], &exx[2], &exx[3]);
+	]])],
+	[pgac_cv__get_cpuid="yes"],
+	[pgac_cv__get_cpuid="no"])])
 if test x"$pgac_cv__get_cpuid" = x"yes"; then
-  AC_DEFINE(HAVE__GET_CPUID, 1, [Define to 1 if you have __get_cpuid.])
+	AC_DEFINE(HAVE__GET_CPUID, 1, [Define to 1 if you have __get_cpuid.])
 else
-  # __cpuid()
-  AC_CACHE_CHECK([for __cpuid], [pgac_cv__cpuid],
-  [AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <intrin.h>],
-    [[unsigned int exx[4] = {0, 0, 0, 0};
-    __cpuid(exx, 1);
-    ]])],
-    [pgac_cv__cpuid="yes"],
-    [pgac_cv__cpuid="no"])])
-  if test x"$pgac_cv__cpuid" = x"yes"; then
-    AC_DEFINE(HAVE__CPUID, 1, [Define to 1 if you have __cpuid.])
-  fi
+	# __cpuid()
+	AC_CACHE_CHECK([for __cpuid], [pgac_cv__cpuid],
+	[AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <intrin.h>],
+		[[unsigned int exx[4] = {0, 0, 0, 0};
+		__cpuid(exx, 1);
+		]])],
+		[pgac_cv__cpuid="yes"],
+		[pgac_cv__cpuid="no"])])
+	if test x"$pgac_cv__cpuid" = x"yes"; then
+		AC_DEFINE(HAVE__CPUID, 1, [Define to 1 if you have __cpuid.])
+	fi
 fi
 
 # Check for __get_cpuid_count() and __cpuidex() in a similar fashion.
 AC_CACHE_CHECK([for __get_cpuid_count], [pgac_cv__get_cpuid_count],
 [AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <cpuid.h>],
-  [[unsigned int exx[4] = {0, 0, 0, 0};
-  __get_cpuid_count(7, 0, &exx[0], &exx[1], &exx[2], &exx[3]);
-  ]])],
-  [pgac_cv__get_cpuid_count="yes"],
-  [pgac_cv__get_cpuid_count="no"])])
+	[[unsigned int exx[4] = {0, 0, 0, 0};
+	__get_cpuid_count(7, 0, &exx[0], &exx[1], &exx[2], &exx[3]);
+	]])],
+	[pgac_cv__get_cpuid_count="yes"],
+	[pgac_cv__get_cpuid_count="no"])])
 if test x"$pgac_cv__get_cpuid_count" = x"yes"; then
-  AC_DEFINE(HAVE__GET_CPUID_COUNT, 1, [Define to 1 if you have __get_cpuid_count.])
+	AC_DEFINE(HAVE__GET_CPUID_COUNT, 1, [Define to 1 if you have __get_cpuid_count.])
 else
-  # __cpuidex()
-  AC_CACHE_CHECK([for __cpuidex], [pgac_cv__cpuidex],
-  [AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <intrin.h>],
-    [[unsigned int exx[4] = {0, 0, 0, 0};
-    __cpuidex(exx, 7, 0);
-    ]])],
-    [pgac_cv__cpuidex="yes"],
-    [pgac_cv__cpuidex="no"])])
-  if test x"$pgac_cv__cpuidex" = x"yes"; then
-    AC_DEFINE(HAVE__CPUIDEX, 1, [Define to 1 if you have __cpuidex.])
-  fi
+	# __cpuidex()
+	AC_CACHE_CHECK([for __cpuidex], [pgac_cv__cpuidex],
+	[AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <intrin.h>],
+		[[unsigned int exx[4] = {0, 0, 0, 0};
+		__cpuidex(exx, 7, 0);
+		]])],
+		[pgac_cv__cpuidex="yes"],
+		[pgac_cv__cpuidex="no"])])
+	if test x"$pgac_cv__cpuidex" = x"yes"; then
+		AC_DEFINE(HAVE__CPUIDEX, 1, [Define to 1 if you have __cpuidex.])
+	fi
 fi
 
 # Check for XSAVE intrinsics
 #
 PGAC_XSAVE_INTRINSICS()
 if test x"$pgac_xsave_intrinsics" = x"yes"; then
-  AC_DEFINE(HAVE_XSAVE_INTRINSICS, 1, [Define to 1 if you have XSAVE intrinsics.])
+	AC_DEFINE(HAVE_XSAVE_INTRINSICS, 1, [Define to 1 if you have XSAVE intrinsics.])
 fi
 
 # Check for AVX-512 popcount intrinsics
 #
 if test x"$host_cpu" = x"x86_64"; then
-  PGAC_AVX512_POPCNT_INTRINSICS()
-  if test x"$pgac_avx512_popcnt_intrinsics" = x"yes"; then
-    AC_DEFINE(USE_AVX512_POPCNT_WITH_RUNTIME_CHECK, 1, [Define to 1 to use AVX-512 popcount instructions with a runtime check.])
-  fi
+	PGAC_AVX512_POPCNT_INTRINSICS()
+	if test x"$pgac_avx512_popcnt_intrinsics" = x"yes"; then
+		AC_DEFINE(USE_AVX512_POPCNT_WITH_RUNTIME_CHECK, 1, [Define to 1 to use AVX-512 popcount instructions with a runtime check.])
+	fi
 fi
 
 # Check for SVE popcount intrinsics
 #
 if test x"$host_cpu" = x"aarch64"; then
-  PGAC_SVE_POPCNT_INTRINSICS()
-  if test x"$pgac_sve_popcnt_intrinsics" = x"yes"; then
-    AC_DEFINE(USE_SVE_POPCNT_WITH_RUNTIME_CHECK, 1, [Define to 1 to use SVE popcount instructions with a runtime check.])
-  fi
+	PGAC_SVE_POPCNT_INTRINSICS()
+	if test x"$pgac_sve_popcnt_intrinsics" = x"yes"; then
+		AC_DEFINE(USE_SVE_POPCNT_WITH_RUNTIME_CHECK, 1, [Define to 1 to use SVE popcount instructions with a runtime check.])
+	fi
+fi
+
+# Check for SVE2 crc32 intrinsics
+#
+if test x"$host_cpu" = x"aarch64"; then
+	PGAC_SVE2_CRC32_INTRINSICS()
+	if test x"$pgac_sve2_crc32_intrinsics" = x"yes"; then
+		AC_DEFINE(USE_SVE2_CRC32_WITH_RUNTIME_CHECK, 1, [Define to 1 to use SVE2 CRC32 instructions with a runtime check.])
+	fi
 fi
 
 # Check for Intel SSE 4.2 intrinsics to do CRC calculations.
@@ -2126,10 +2135,10 @@ AC_COMPILE_IFELSE([AC_LANG_PROGRAM([], [
 # CFLAGS_CRC is set if the extra flag is required.
 PGAC_ARMV8_CRC32C_INTRINSICS([])
 if test x"$pgac_armv8_crc32c_intrinsics" != x"yes"; then
-  PGAC_ARMV8_CRC32C_INTRINSICS([-march=armv8-a+crc+simd])
-  if test x"$pgac_armv8_crc32c_intrinsics" != x"yes"; then
-    PGAC_ARMV8_CRC32C_INTRINSICS([-march=armv8-a+crc])
-  fi
+	PGAC_ARMV8_CRC32C_INTRINSICS([-march=armv8-a+crc+simd])
+	if test x"$pgac_armv8_crc32c_intrinsics" != x"yes"; then
+		PGAC_ARMV8_CRC32C_INTRINSICS([-march=armv8-a+crc])
+	fi
 fi
 
 # Check for LoongArch CRC intrinsics to do CRC calculations.
@@ -2169,128 +2178,128 @@ AC_SUBST(CFLAGS_CRC)
 # If we are targeting a LoongArch processor, CRC instructions are
 # always available (at least on 64 bit), so no runtime check is needed.
 if test x"$USE_SLICING_BY_8_CRC32C" = x"" && test x"$USE_SSE42_CRC32C" = x"" && test x"$USE_SSE42_CRC32C_WITH_RUNTIME_CHECK" = x"" && test x"$USE_ARMV8_CRC32C" = x"" && test x"$USE_ARMV8_CRC32C_WITH_RUNTIME_CHECK" = x"" && test x"$USE_LOONGARCH_CRC32C" = x""; then
-  # Use Intel SSE 4.2 if available.
-  if test x"$pgac_sse42_crc32_intrinsics" = x"yes" && test x"$SSE4_2_TARGETED" = x"1" ; then
-    USE_SSE42_CRC32C=1
-  else
-    # Intel SSE 4.2, with runtime check? The CPUID instruction is needed for
-    # the runtime check.
-    if test x"$pgac_sse42_crc32_intrinsics" = x"yes" && (test x"$pgac_cv__get_cpuid" = x"yes" || test x"$pgac_cv__cpuid" = x"yes"); then
-      USE_SSE42_CRC32C_WITH_RUNTIME_CHECK=1
-    else
-      # Use ARM CRC Extension if available.
-      if test x"$pgac_armv8_crc32c_intrinsics" = x"yes" && test x"$CFLAGS_CRC" = x""; then
-        USE_ARMV8_CRC32C=1
-      else
-        # ARM CRC Extension, with runtime check?
-        if test x"$pgac_armv8_crc32c_intrinsics" = x"yes"; then
-          USE_ARMV8_CRC32C_WITH_RUNTIME_CHECK=1
-        else
-          # LoongArch CRCC instructions.
-          if test x"$pgac_loongarch_crc32c_intrinsics" = x"yes"; then
-            USE_LOONGARCH_CRC32C=1
-          else
-            # fall back to slicing-by-8 algorithm, which doesn't require any
-            # special CPU support.
-            USE_SLICING_BY_8_CRC32C=1
-          fi
-        fi
-      fi
-    fi
-  fi
+	# Use Intel SSE 4.2 if available.
+	if test x"$pgac_sse42_crc32_intrinsics" = x"yes" && test x"$SSE4_2_TARGETED" = x"1" ; then
+		USE_SSE42_CRC32C=1
+	else
+		# Intel SSE 4.2, with runtime check? The CPUID instruction is needed for
+		# the runtime check.
+		if test x"$pgac_sse42_crc32_intrinsics" = x"yes" && (test x"$pgac_cv__get_cpuid" = x"yes" || test x"$pgac_cv__cpuid" = x"yes"); then
+			USE_SSE42_CRC32C_WITH_RUNTIME_CHECK=1
+		else
+			# Use ARM CRC Extension if available.
+			if test x"$pgac_armv8_crc32c_intrinsics" = x"yes" && test x"$CFLAGS_CRC" = x""; then
+				USE_ARMV8_CRC32C=1
+			else
+				# ARM CRC Extension, with runtime check?
+				if test x"$pgac_armv8_crc32c_intrinsics" = x"yes"; then
+					USE_ARMV8_CRC32C_WITH_RUNTIME_CHECK=1
+				else
+					# LoongArch CRCC instructions.
+					if test x"$pgac_loongarch_crc32c_intrinsics" = x"yes"; then
+						USE_LOONGARCH_CRC32C=1
+					else
+						# fall back to slicing-by-8 algorithm, which doesn't require any
+						# special CPU support.
+						USE_SLICING_BY_8_CRC32C=1
+					fi
+				fi
+			fi
+		fi
+	fi
 fi
 
 # Set PG_CRC32C_OBJS appropriately depending on the selected implementation.
 AC_MSG_CHECKING([which CRC-32C implementation to use])
 if test x"$USE_SSE42_CRC32C" = x"1"; then
-  AC_DEFINE(USE_SSE42_CRC32C, 1, [Define to 1 use Intel SSE 4.2 CRC instructions.])
-  PG_CRC32C_OBJS="pg_crc32c_sse42.o pg_crc32c_sse42_choose.o"
-  AC_MSG_RESULT(SSE 4.2)
+	AC_DEFINE(USE_SSE42_CRC32C, 1, [Define to 1 use Intel SSE 4.2 CRC instructions.])
+	PG_CRC32C_OBJS="pg_crc32c_sse42.o pg_crc32c_sse42_choose.o"
+	AC_MSG_RESULT(SSE 4.2)
 else
-  if test x"$USE_SSE42_CRC32C_WITH_RUNTIME_CHECK" = x"1"; then
-    AC_DEFINE(USE_SSE42_CRC32C_WITH_RUNTIME_CHECK, 1, [Define to 1 to use Intel SSE 4.2 CRC instructions with a runtime check.])
-    PG_CRC32C_OBJS="pg_crc32c_sse42.o pg_crc32c_sb8.o pg_crc32c_sse42_choose.o"
-    AC_MSG_RESULT(SSE 4.2 with runtime check)
-  else
-    if test x"$USE_ARMV8_CRC32C" = x"1"; then
-      AC_DEFINE(USE_ARMV8_CRC32C, 1, [Define to 1 to use ARMv8 CRC Extension.])
-      PG_CRC32C_OBJS="pg_crc32c_armv8.o"
-      AC_MSG_RESULT(ARMv8 CRC instructions)
-    else
-      if test x"$USE_ARMV8_CRC32C_WITH_RUNTIME_CHECK" = x"1"; then
-        AC_DEFINE(USE_ARMV8_CRC32C_WITH_RUNTIME_CHECK, 1, [Define to 1 to use ARMv8 CRC Extension with a runtime check.])
-        PG_CRC32C_OBJS="pg_crc32c_armv8.o pg_crc32c_sb8.o pg_crc32c_armv8_choose.o"
-        AC_MSG_RESULT(ARMv8 CRC instructions with runtime check)
-      else
-        if test x"$USE_LOONGARCH_CRC32C" = x"1"; then
-          AC_DEFINE(USE_LOONGARCH_CRC32C, 1, [Define to 1 to use LoongArch CRCC instructions.])
-          PG_CRC32C_OBJS="pg_crc32c_loongarch.o"
-          AC_MSG_RESULT(LoongArch CRCC instructions)
-        else
-          AC_DEFINE(USE_SLICING_BY_8_CRC32C, 1, [Define to 1 to use software CRC-32C implementation (slicing-by-8).])
-          PG_CRC32C_OBJS="pg_crc32c_sb8.o"
-          AC_MSG_RESULT(slicing-by-8)
-        fi
-      fi
-    fi
-  fi
+	if test x"$USE_SSE42_CRC32C_WITH_RUNTIME_CHECK" = x"1"; then
+		AC_DEFINE(USE_SSE42_CRC32C_WITH_RUNTIME_CHECK, 1, [Define to 1 to use Intel SSE 4.2 CRC instructions with a runtime check.])
+		PG_CRC32C_OBJS="pg_crc32c_sse42.o pg_crc32c_sb8.o pg_crc32c_sse42_choose.o"
+		AC_MSG_RESULT(SSE 4.2 with runtime check)
+	else
+		if test x"$USE_ARMV8_CRC32C" = x"1"; then
+			AC_DEFINE(USE_ARMV8_CRC32C, 1, [Define to 1 to use ARMv8 CRC Extension.])
+			PG_CRC32C_OBJS="pg_crc32c_armv8.o"
+			AC_MSG_RESULT(ARMv8 CRC instructions)
+		else
+			if test x"$USE_ARMV8_CRC32C_WITH_RUNTIME_CHECK" = x"1"; then
+				AC_DEFINE(USE_ARMV8_CRC32C_WITH_RUNTIME_CHECK, 1, [Define to 1 to use ARMv8 CRC Extension with a runtime check.])
+				PG_CRC32C_OBJS="pg_crc32c_armv8.o pg_crc32c_sb8.o pg_crc32c_armv8_choose.o"
+				AC_MSG_RESULT(ARMv8 CRC instructions with runtime check)
+			else
+				if test x"$USE_LOONGARCH_CRC32C" = x"1"; then
+					AC_DEFINE(USE_LOONGARCH_CRC32C, 1, [Define to 1 to use LoongArch CRCC instructions.])
+					PG_CRC32C_OBJS="pg_crc32c_loongarch.o"
+					AC_MSG_RESULT(LoongArch CRCC instructions)
+				else
+					AC_DEFINE(USE_SLICING_BY_8_CRC32C, 1, [Define to 1 to use software CRC-32C implementation (slicing-by-8).])
+					PG_CRC32C_OBJS="pg_crc32c_sb8.o"
+					AC_MSG_RESULT(slicing-by-8)
+				fi
+			fi
+		fi
+	fi
 fi
 AC_SUBST(PG_CRC32C_OBJS)
 
 # Check for carryless multiplication intrinsics to do vectorized CRC calculations.
 #
 if test x"$host_cpu" = x"x86_64"; then
-  PGAC_AVX512_PCLMUL_INTRINSICS()
+	PGAC_AVX512_PCLMUL_INTRINSICS()
 fi
 
 AC_MSG_CHECKING([for vectorized CRC-32C])
 if test x"$pgac_avx512_pclmul_intrinsics" = x"yes"; then
-  AC_DEFINE(USE_AVX512_CRC32C_WITH_RUNTIME_CHECK, 1, [Define to 1 to use AVX-512 CRC algorithms with a runtime check.])
-  AC_MSG_RESULT(AVX-512 with runtime check)
+	AC_DEFINE(USE_AVX512_CRC32C_WITH_RUNTIME_CHECK, 1, [Define to 1 to use AVX-512 CRC algorithms with a runtime check.])
+	AC_MSG_RESULT(AVX-512 with runtime check)
 else
-  AC_MSG_RESULT(none)
+	AC_MSG_RESULT(none)
 fi
 
 # Select semaphore implementation type.
 if test "$PORTNAME" != "win32"; then
-  if test x"$PREFERRED_SEMAPHORES" = x"NAMED_POSIX" ; then
-    # Need sem_open for this
-    AC_SEARCH_LIBS(sem_open, [rt pthread], [USE_NAMED_POSIX_SEMAPHORES=1])
-  fi
-  if test x"$PREFERRED_SEMAPHORES" = x"UNNAMED_POSIX" ; then
-    # Need sem_init for this
-    AC_SEARCH_LIBS(sem_init, [rt pthread], [USE_UNNAMED_POSIX_SEMAPHORES=1])
-  fi
-  AC_MSG_CHECKING([which semaphore API to use])
-  if test x"$USE_NAMED_POSIX_SEMAPHORES" = x"1" ; then
-    AC_DEFINE(USE_NAMED_POSIX_SEMAPHORES, 1, [Define to select named POSIX semaphores.])
-    SEMA_IMPLEMENTATION="src/backend/port/posix_sema.c"
-    sematype="named POSIX"
-  else
-    if test x"$USE_UNNAMED_POSIX_SEMAPHORES" = x"1" ; then
-      AC_DEFINE(USE_UNNAMED_POSIX_SEMAPHORES, 1, [Define to select unnamed POSIX semaphores.])
-      SEMA_IMPLEMENTATION="src/backend/port/posix_sema.c"
-      sematype="unnamed POSIX"
-    else
-      AC_DEFINE(USE_SYSV_SEMAPHORES, 1, [Define to select SysV-style semaphores.])
-      SEMA_IMPLEMENTATION="src/backend/port/sysv_sema.c"
-      sematype="System V"
-    fi
-  fi
-  AC_MSG_RESULT([$sematype])
+	if test x"$PREFERRED_SEMAPHORES" = x"NAMED_POSIX" ; then
+		# Need sem_open for this
+		AC_SEARCH_LIBS(sem_open, [rt pthread], [USE_NAMED_POSIX_SEMAPHORES=1])
+	fi
+	if test x"$PREFERRED_SEMAPHORES" = x"UNNAMED_POSIX" ; then
+		# Need sem_init for this
+		AC_SEARCH_LIBS(sem_init, [rt pthread], [USE_UNNAMED_POSIX_SEMAPHORES=1])
+	fi
+	AC_MSG_CHECKING([which semaphore API to use])
+	if test x"$USE_NAMED_POSIX_SEMAPHORES" = x"1" ; then
+		AC_DEFINE(USE_NAMED_POSIX_SEMAPHORES, 1, [Define to select named POSIX semaphores.])
+		SEMA_IMPLEMENTATION="src/backend/port/posix_sema.c"
+		sematype="named POSIX"
+	else
+		if test x"$USE_UNNAMED_POSIX_SEMAPHORES" = x"1" ; then
+			AC_DEFINE(USE_UNNAMED_POSIX_SEMAPHORES, 1, [Define to select unnamed POSIX semaphores.])
+			SEMA_IMPLEMENTATION="src/backend/port/posix_sema.c"
+			sematype="unnamed POSIX"
+		else
+			AC_DEFINE(USE_SYSV_SEMAPHORES, 1, [Define to select SysV-style semaphores.])
+			SEMA_IMPLEMENTATION="src/backend/port/sysv_sema.c"
+			sematype="System V"
+		fi
+	fi
+	AC_MSG_RESULT([$sematype])
 else
-  AC_DEFINE(USE_WIN32_SEMAPHORES, 1, [Define to select Win32-style semaphores.])
-  SEMA_IMPLEMENTATION="src/backend/port/win32_sema.c"
+	AC_DEFINE(USE_WIN32_SEMAPHORES, 1, [Define to select Win32-style semaphores.])
+	SEMA_IMPLEMENTATION="src/backend/port/win32_sema.c"
 fi
 
 
 # Select shared-memory implementation type.
 if test "$PORTNAME" != "win32"; then
-  AC_DEFINE(USE_SYSV_SHARED_MEMORY, 1, [Define to select SysV-style shared memory.])
-  SHMEM_IMPLEMENTATION="src/backend/port/sysv_shmem.c"
+	AC_DEFINE(USE_SYSV_SHARED_MEMORY, 1, [Define to select SysV-style shared memory.])
+	SHMEM_IMPLEMENTATION="src/backend/port/sysv_shmem.c"
 else
-  AC_DEFINE(USE_WIN32_SHARED_MEMORY, 1, [Define to select Win32-style shared memory.])
-  SHMEM_IMPLEMENTATION="src/backend/port/win32_shmem.c"
+	AC_DEFINE(USE_WIN32_SHARED_MEMORY, 1, [Define to select Win32-style shared memory.])
+	SHMEM_IMPLEMENTATION="src/backend/port/win32_shmem.c"
 fi
 
 # Select random number source. If a TLS library is used then it will be the
@@ -2298,84 +2307,84 @@ fi
 # will be used.
 AC_MSG_CHECKING([which random number source to use])
 if test x"$with_ssl" = x"openssl" ; then
-  AC_MSG_RESULT([OpenSSL])
+	AC_MSG_RESULT([OpenSSL])
 elif test x"$PORTNAME" = x"win32" ; then
-  AC_MSG_RESULT([Windows native])
+	AC_MSG_RESULT([Windows native])
 elif test x"$cross_compiling" = x"yes"; then
-  AC_MSG_RESULT([assuming /dev/urandom])
+	AC_MSG_RESULT([assuming /dev/urandom])
 else
-  AC_MSG_RESULT([/dev/urandom])
-  AC_CHECK_FILE([/dev/urandom], [], [])
+	AC_MSG_RESULT([/dev/urandom])
+	AC_CHECK_FILE([/dev/urandom], [], [])
 
-  if test x"$ac_cv_file__dev_urandom" = x"no" ; then
-    AC_MSG_ERROR([
+	if test x"$ac_cv_file__dev_urandom" = x"no" ; then
+		AC_MSG_ERROR([
 no source of strong random numbers was found
 PostgreSQL can use OpenSSL, native Windows API or /dev/urandom as a source of random numbers.])
-  fi
+	fi
 fi
 
 # If not set in template file, set bytes to use libc memset()
 if test x"$MEMSET_LOOP_LIMIT" = x"" ; then
-  MEMSET_LOOP_LIMIT=1024
+	MEMSET_LOOP_LIMIT=1024
 fi
 AC_DEFINE_UNQUOTED(MEMSET_LOOP_LIMIT, ${MEMSET_LOOP_LIMIT}, [Define bytes to use libc memset().])
 
 
 if test "$enable_nls" = yes ; then
-  PGAC_CHECK_GETTEXT
+	PGAC_CHECK_GETTEXT
 fi
 
 # Check for Tcl configuration script tclConfig.sh
 if test "$with_tcl" = yes; then
-    PGAC_PATH_TCLCONFIGSH([$with_tclconfig])
-    PGAC_EVAL_TCLCONFIGSH([$TCL_CONFIG_SH],
-                          [TCL_INCLUDE_SPEC,TCL_LIBS,TCL_LIB_SPEC,TCL_SHARED_BUILD])
-    if test "$TCL_SHARED_BUILD" != 1; then
-      AC_MSG_ERROR([cannot build PL/Tcl because Tcl is not a shared library
+		PGAC_PATH_TCLCONFIGSH([$with_tclconfig])
+		PGAC_EVAL_TCLCONFIGSH([$TCL_CONFIG_SH],
+													[TCL_INCLUDE_SPEC,TCL_LIBS,TCL_LIB_SPEC,TCL_SHARED_BUILD])
+		if test "$TCL_SHARED_BUILD" != 1; then
+			AC_MSG_ERROR([cannot build PL/Tcl because Tcl is not a shared library
 Use --without-tcl to disable building PL/Tcl.])
-    fi
-    # now that we have TCL_INCLUDE_SPEC, we can check for <tcl.h>
-    ac_save_CPPFLAGS=$CPPFLAGS
-    CPPFLAGS="$CPPFLAGS $TCL_INCLUDE_SPEC"
-    AC_CHECK_HEADER(tcl.h, [], [AC_MSG_ERROR([header file <tcl.h> is required for Tcl])])
-    CPPFLAGS=$ac_save_CPPFLAGS
+		fi
+		# now that we have TCL_INCLUDE_SPEC, we can check for <tcl.h>
+		ac_save_CPPFLAGS=$CPPFLAGS
+		CPPFLAGS="$CPPFLAGS $TCL_INCLUDE_SPEC"
+		AC_CHECK_HEADER(tcl.h, [], [AC_MSG_ERROR([header file <tcl.h> is required for Tcl])])
+		CPPFLAGS=$ac_save_CPPFLAGS
 fi
 
 # check for <perl.h>
 if test "$with_perl" = yes; then
-  ac_save_CPPFLAGS=$CPPFLAGS
-  CPPFLAGS="$CPPFLAGS $perl_includespec"
-  AC_CHECK_HEADER(perl.h, [], [AC_MSG_ERROR([header file <perl.h> is required for Perl])],
-                  [#include <EXTERN.h>])
-  # While we're at it, check that we can link to libperl.
-  # On most platforms, if perl.h is there then libperl.so will be too, but at
-  # this writing Debian packages them separately.  There is no known reason to
-  # waste cycles on separate probes for the Tcl or Python libraries, though.
-  # On some Red Hat platforms, the link attempt can fail if we don't use
-  # CFLAGS_SL while building the test program.
-  ac_save_CFLAGS=$CFLAGS
-  CFLAGS="$CFLAGS $CFLAGS_SL"
-  pgac_save_LIBS=$LIBS
-  LIBS="$perl_embed_ldflags"
-  AC_MSG_CHECKING([for libperl])
-  AC_LINK_IFELSE([AC_LANG_PROGRAM([
+	ac_save_CPPFLAGS=$CPPFLAGS
+	CPPFLAGS="$CPPFLAGS $perl_includespec"
+	AC_CHECK_HEADER(perl.h, [], [AC_MSG_ERROR([header file <perl.h> is required for Perl])],
+									[#include <EXTERN.h>])
+	# While we're at it, check that we can link to libperl.
+	# On most platforms, if perl.h is there then libperl.so will be too, but at
+	# this writing Debian packages them separately.  There is no known reason to
+	# waste cycles on separate probes for the Tcl or Python libraries, though.
+	# On some Red Hat platforms, the link attempt can fail if we don't use
+	# CFLAGS_SL while building the test program.
+	ac_save_CFLAGS=$CFLAGS
+	CFLAGS="$CFLAGS $CFLAGS_SL"
+	pgac_save_LIBS=$LIBS
+	LIBS="$perl_embed_ldflags"
+	AC_MSG_CHECKING([for libperl])
+	AC_LINK_IFELSE([AC_LANG_PROGRAM([
 #include <EXTERN.h>
 #include <perl.h>
 ],  [perl_alloc();])],
-    [AC_MSG_RESULT(yes)],
-    [AC_MSG_RESULT(no)
-     AC_MSG_ERROR([libperl library is required for Perl])])
-  LIBS=$pgac_save_LIBS
-  CFLAGS=$ac_save_CFLAGS
-  CPPFLAGS=$ac_save_CPPFLAGS
+		[AC_MSG_RESULT(yes)],
+		[AC_MSG_RESULT(no)
+		 AC_MSG_ERROR([libperl library is required for Perl])])
+	LIBS=$pgac_save_LIBS
+	CFLAGS=$ac_save_CFLAGS
+	CPPFLAGS=$ac_save_CPPFLAGS
 fi
 
 # check for <Python.h>
 if test "$with_python" = yes; then
-  ac_save_CPPFLAGS=$CPPFLAGS
-  CPPFLAGS="$CPPFLAGS $python_includespec"
-  AC_CHECK_HEADER(Python.h, [], [AC_MSG_ERROR([header file <Python.h> is required for Python])])
-  CPPFLAGS=$ac_save_CPPFLAGS
+	ac_save_CPPFLAGS=$CPPFLAGS
+	CPPFLAGS="$CPPFLAGS $python_includespec"
+	AC_CHECK_HEADER(Python.h, [], [AC_MSG_ERROR([header file <Python.h> is required for Python])])
+	CPPFLAGS=$ac_save_CPPFLAGS
 fi
 
 #
@@ -2390,26 +2399,26 @@ PGAC_PATH_PROGS(DBTOEPUB, dbtoepub)
 # Check for test tools
 #
 if test "$enable_tap_tests" = yes; then
-  # Make sure we know where prove is.
-  PGAC_PATH_PROGS(PROVE, prove)
-  if test -z "$PROVE"; then
-    AC_MSG_ERROR([prove not found])
-  fi
-  # Check for necessary Perl modules.  You might think we should use
-  # AX_PROG_PERL_MODULES here, but prove might be part of a different Perl
-  # installation than perl, eg on MSys, so we have to check using prove.
-  AC_MSG_CHECKING(for Perl modules required for TAP tests)
-  __CONFIG_HOST_OS__=$host_os; export __CONFIG_HOST_OS__
-  [modulestderr=`"$PROVE" "$srcdir/config/check_modules.pl" 2>&1 >/dev/null`]
-  if test $? -eq 0; then
-    # log the module version details, but don't show them interactively
-    echo "$modulestderr" >&AS_MESSAGE_LOG_FD
-    AC_MSG_RESULT(yes)
-  else
-    # on failure, though, show the results to the user
-    AC_MSG_RESULT([$modulestderr])
-    AC_MSG_ERROR([Additional Perl modules are required to run TAP tests])
-  fi
+	# Make sure we know where prove is.
+	PGAC_PATH_PROGS(PROVE, prove)
+	if test -z "$PROVE"; then
+		AC_MSG_ERROR([prove not found])
+	fi
+	# Check for necessary Perl modules.  You might think we should use
+	# AX_PROG_PERL_MODULES here, but prove might be part of a different Perl
+	# installation than perl, eg on MSys, so we have to check using prove.
+	AC_MSG_CHECKING(for Perl modules required for TAP tests)
+	__CONFIG_HOST_OS__=$host_os; export __CONFIG_HOST_OS__
+	[modulestderr=`"$PROVE" "$srcdir/config/check_modules.pl" 2>&1 >/dev/null`]
+	if test $? -eq 0; then
+		# log the module version details, but don't show them interactively
+		echo "$modulestderr" >&AS_MESSAGE_LOG_FD
+		AC_MSG_RESULT(yes)
+	else
+		# on failure, though, show the results to the user
+		AC_MSG_RESULT([$modulestderr])
+		AC_MSG_ERROR([Additional Perl modules are required to run TAP tests])
+	fi
 fi
 
 # If compiler will take -Wl,--as-needed (or various platform-specific
@@ -2419,17 +2428,17 @@ fi
 # libreadline; therefore we postpone testing it until we know what library
 # dependencies readline has.  The test code will try to link with $LIBS.
 if test "$with_readline" = yes; then
-  link_test_func=readline
+	link_test_func=readline
 else
-  link_test_func=exit
+	link_test_func=exit
 fi
 
 if test "$PORTNAME" = "darwin"; then
-  PGAC_PROG_CC_LDFLAGS_OPT([-Wl,-dead_strip_dylibs], $link_test_func)
+	PGAC_PROG_CC_LDFLAGS_OPT([-Wl,-dead_strip_dylibs], $link_test_func)
 elif test "$PORTNAME" = "openbsd"; then
-  PGAC_PROG_CC_LDFLAGS_OPT([-Wl,-Bdynamic], $link_test_func)
+	PGAC_PROG_CC_LDFLAGS_OPT([-Wl,-Bdynamic], $link_test_func)
 else
-  PGAC_PROG_CC_LDFLAGS_OPT([-Wl,--as-needed], $link_test_func)
+	PGAC_PROG_CC_LDFLAGS_OPT([-Wl,--as-needed], $link_test_func)
 fi
 
 # For linkers that understand --export-dynamic, add that to the LDFLAGS_EX_BE
@@ -2440,21 +2449,21 @@ fi
 # harmless.)
 PGAC_PROG_CC_LD_VARFLAGS_OPT(LDFLAGS_EX_BE, [-Wl,--export-dynamic], $link_test_func)
 if test x"$LDFLAGS_EX_BE" = x""; then
-  PGAC_PROG_CC_LD_VARFLAGS_OPT(LDFLAGS_EX_BE, [-Wl,-export_dynamic], $link_test_func)
+	PGAC_PROG_CC_LD_VARFLAGS_OPT(LDFLAGS_EX_BE, [-Wl,-export_dynamic], $link_test_func)
 fi
 AC_SUBST(LDFLAGS_EX_BE)
 
 # Create compiler version string
 if test x"$GCC" = x"yes" ; then
-  cc_string=`${CC} --version | sed q`
-  case $cc_string in [[A-Za-z]]*) ;; *) cc_string="GCC $cc_string";; esac
+	cc_string=`${CC} --version | sed q`
+	case $cc_string in [[A-Za-z]]*) ;; *) cc_string="GCC $cc_string";; esac
 else
-  cc_string=$CC
+	cc_string=$CC
 fi
 
 AC_DEFINE_UNQUOTED(PG_VERSION_STR,
-                   ["PostgreSQL $PG_VERSION on $host, compiled by $cc_string, `expr $ac_cv_sizeof_void_p \* 8`-bit"],
-                   [A string containing the version number, platform, and C compiler])
+									 ["PostgreSQL $PG_VERSION on $host, compiled by $cc_string, `expr $ac_cv_sizeof_void_p \* 8`-bit"],
+									 [A string containing the version number, platform, and C compiler])
 
 # Supply a numeric version string for use by 3rd party add-ons
 # awk -F is a regex on some platforms, and not on others, so make "." a tab
@@ -2469,8 +2478,8 @@ AC_SUBST(PG_VERSION_NUM)
 # we've finished all configure checks that depend on CPPFLAGS.
 # The same for LDFLAGS, too.
 if test x"$PG_SYSROOT" != x; then
-  CPPFLAGS=`echo "$CPPFLAGS" | sed -e "s| $PG_SYSROOT | \\\$(PG_SYSROOT) |"`
-  LDFLAGS=`echo "$LDFLAGS" | sed -e "s| $PG_SYSROOT | \\\$(PG_SYSROOT) |"`
+	CPPFLAGS=`echo "$CPPFLAGS" | sed -e "s| $PG_SYSROOT | \\\$(PG_SYSROOT) |"`
+	LDFLAGS=`echo "$LDFLAGS" | sed -e "s| $PG_SYSROOT | \\\$(PG_SYSROOT) |"`
 fi
 AC_SUBST(PG_SYSROOT)
 
@@ -2483,11 +2492,11 @@ AC_MSG_NOTICE([using CPPFLAGS=$CPPFLAGS])
 AC_MSG_NOTICE([using LDFLAGS=$LDFLAGS])
 # Currently only used when LLVM is used
 if test "$with_llvm" = yes ; then
-   AC_MSG_NOTICE([using CXX=$CXX])
-   AC_MSG_NOTICE([using CXXFLAGS=$CXXFLAGS])
-   AC_MSG_NOTICE([using CLANG=$CLANG])
-   AC_MSG_NOTICE([using BITCODE_CFLAGS=$BITCODE_CFLAGS])
-   AC_MSG_NOTICE([using BITCODE_CXXFLAGS=$BITCODE_CXXFLAGS])
+	 AC_MSG_NOTICE([using CXX=$CXX])
+	 AC_MSG_NOTICE([using CXXFLAGS=$CXXFLAGS])
+	 AC_MSG_NOTICE([using CLANG=$CLANG])
+	 AC_MSG_NOTICE([using BITCODE_CFLAGS=$BITCODE_CFLAGS])
+	 AC_MSG_NOTICE([using BITCODE_CXXFLAGS=$BITCODE_CXXFLAGS])
 fi
 
 # prepare build tree if outside source tree
@@ -2495,16 +2504,16 @@ fi
 # Note 2: /bin/pwd might be better than shell's built-in at getting
 #         a symlink-free name.
 if ( test "$srcdir" -ef . ) >/dev/null 2>&1 || test "`cd $srcdir && /bin/pwd`" = "`/bin/pwd`"; then
-  vpath_build=no
+	vpath_build=no
 else
-  vpath_build=yes
-  if test "$no_create" != yes; then
-    _AS_ECHO_N([preparing build tree... ])
-    pgac_abs_top_srcdir=`cd "$srcdir" && pwd`
-    $SHELL "$ac_aux_dir/prep_buildtree" "$pgac_abs_top_srcdir" "." \
-      || AC_MSG_ERROR(failed)
-    AC_MSG_RESULT(done)
-  fi
+	vpath_build=yes
+	if test "$no_create" != yes; then
+		_AS_ECHO_N([preparing build tree... ])
+		pgac_abs_top_srcdir=`cd "$srcdir" && pwd`
+		$SHELL "$ac_aux_dir/prep_buildtree" "$pgac_abs_top_srcdir" "." \
+			|| AC_MSG_ERROR(failed)
+		AC_MSG_RESULT(done)
+	fi
 fi
 AC_SUBST(vpath_build)
 
@@ -2512,10 +2521,10 @@ AC_SUBST(vpath_build)
 AC_CONFIG_FILES([GNUmakefile src/Makefile.global])
 
 AC_CONFIG_LINKS([
-  src/backend/port/pg_sema.c:${SEMA_IMPLEMENTATION}
-  src/backend/port/pg_shmem.c:${SHMEM_IMPLEMENTATION}
-  src/include/pg_config_os.h:src/include/port/${template}.h
-  src/Makefile.port:src/makefiles/Makefile.${template}
+	src/backend/port/pg_sema.c:${SEMA_IMPLEMENTATION}
+	src/backend/port/pg_shmem.c:${SHMEM_IMPLEMENTATION}
+	src/include/pg_config_os.h:src/include/port/${template}.h
+	src/Makefile.port:src/makefiles/Makefile.${template}
 ])
 
 if test "$PORTNAME" = "win32"; then
@@ -2537,12 +2546,12 @@ echo >src/include/stamp-h
 ])
 
 AC_CONFIG_HEADERS([src/interfaces/ecpg/include/ecpg_config.h],
-                  [echo >src/interfaces/ecpg/include/stamp-h])
+									[echo >src/interfaces/ecpg/include/stamp-h])
 
 AC_OUTPUT
 
 # Ensure that any meson build directories would reconfigure and see that
 # there's a conflicting in-tree build and can error out.
 if test "$vpath_build" = "no"; then
-  touch meson.build
+	touch meson.build
 fi
